<template lang="pug">
Card.x-selector-list(ref='card' title='CSS Selectors')
  template(#info='c')
    p The #[strong CSS Selectors] card displays a list of #[a(href='https://www.w3.org/TR/selectors-4' target="_blank" rel="noopener") CSS selectors] detected in the SVG document.
    p #[strong Note: ] clicking an element in the list will highlight the matching parts of the SVG document.
    p
      | #[strong Note: ] Current
      | #[a(href='https://mro-dev.web.cern.ch/docs/std/ssvg-specification.html#name-the-relation-element-2' target="_blank" rel="noopener") relation] or
      | #[a(href='https://mro-dev.web.cern.ch/docs/std/ssvg-specification.html#name-the-transform-element-2' target="_blank" rel="noopener") transform]
      | #[a(href='https://mro-dev.web.cern.ch/docs/std/ssvg-specification.html#name-the-query-selector-attribute' target="_blank" rel="noopener") query-selector]
      | may be updated from this list by clicking on #[i.fa.fa-arrow-circle-right].
  template(#default='c')
    li.x-selectors(key='selectors')
      Selector.my-1(:key='s' v-for='s in svgSelectors'
          :relation='relation'
          :selector='s' :isSelected='s === selected'
          @click.native='toggleSelected(s)')
</template>
<script src='./SSVGSelectorList.vue.js' />
